<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'Details' }) %>
<body>
    <%- include('partials/navbar.ejs', { search: 0 }) %>
    <main>
        <h1>Sport Field nr <%= detail.fieldID %> </h1>
        <div><b>Field Type: </b> <%= detail.fieldtype %></div>
        <div><b>Field Price: </b><%= detail.price %></div>
        <div><b>Adress: </b><%= detail.adress %></div>
        <div><b>Description: </b><%= detail.description %></div>
        <br>
        <div class="row">
        <% images.forEach(image => { %>
            <div class="col-md-3 field-images">
            <img alt = "Image <%= image.imageName%>" src="/<%= image.imageName %>"> </img>
            </div>
            <% }) %>
        </div>
            <br> 
        <br>    
                
        
        <% if ( payload.userRole == 1 ) { %>
            <form method="POST" name="UploadPhotoToSportfieldId" action="/uploadPhoto" enctype="multipart/form-data">
            
                <input type="hidden" name = "sportFieldId" value="<%= detail.fieldID %>">
    
                <label for="photoForSportField"><b>Photo:</b> </label>
                <input id='photoForSportField' type="file" name="photoForSportField" />
                <br>
    
                <input id="idSubmitButton" name="idSubmitButton" type="submit" value="Submit">
            </form>
        <% } %>
        
    </main>
</body>
</html>